Mailinglist Archive: opensuse-factory (953 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20150515 released!
Changed packages:

==== ImageMagick ====
Version update (6.9.0.9 -> 6.9.1.1)
Subpackages: ImageMagick-devel ImageMagick-doc ImageMagick-extra
libMagick++-6_Q16-6 libMagickCore-6_Q16-2 libMagickWand-6_Q16-2 perl-PerlMagick

- update to 6.9.1-1
* Skip empty frames when comparing layers.
* Grayscale DPX image files are no longer skewed.
* Fix integer overflow when scaling a 1-bit sample to Q64.
* Account for differences in image size when comparing two images.
* Set an upper ceiling compression with -quality and jpeg:extent.

==== adwaita-icon-theme ====
Version update (3.16.0 -> 3.16.2.1)

- Update to version 3.16.2.1:
+ Updated translations.
- Changes from version 3.16.2:
+ Better metaphor for rotation allowed (bgo#747117).
+ Preferences-desktop-font for font-viewer.

==== amor ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== apper ====
Version update (0.9.1 -> 0.9.2)

- Update to version 0.9.2
- Dropped patches (included upstream)
* apper-adjust-to-latest-packagekitqt.diff
* Let-the-backend-return-an-error.patch boo#901067, brc#1167018
* fix-plasmoid-status-messages.patch boo#908194, kde#344639
* fix-german-translation.patch kde#344935
* fix-reviewchanges-dialog.patch
* fix-typo-in-TransactionProgressDelegate.qml.patch

==== ark ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkerfuffle4

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== aspell-cs ====
Subpackages: aspell-da aspell-el aspell-es aspell-fr aspell-hu aspell-it
aspell-pl aspell-pt_BR aspell-pt_PT aspell-ru

- updated pl dictionary, version 20150428

==== aspell-en ====
Version update (7.1 -> 2015.04.24)

- updated to 2015.03.24:
* Updated to SCOWL 2015.02.15 which added a large number of new words
such as "inbox", "smartphone", and "selfie" and removed some
problematic words.

==== attr ====
Subpackages: libattr-devel libattr1 libattr1-32bit

- remove man5/attr.5, it is now part of man-pages
http://lwn.net/Articles/643559/

==== autofs ====

- add autofs-5.1.0-gcc5-fixes.patch: Fix build against gcc 5.x

==== autoyast2 ====
Version update (3.1.78 -> 3.1.81)
Subpackages: autoyast2-installation

- Regarding some corner cases of bsc#925381.
- - Checking for availability of clients/<module>_auto module before
reporting an error.
- - Checking if a module supports more than one autoyast configuration
section.
- 3.1.81
- Don't try to format PReP partitions (bsc#927748)
- fixed size parameter "auto" for PReP partitions (bsc#928768)
- 3.1.80
- Added new section "restricts" for ntp configuration
(bnc#928987)
- 3.1.79

==== bind ====
Version update (9.10.1P1 -> 9.10.2)
Subpackages: bind-chrootenv bind-doc bind-utils libbind9-140 libirs141
libisccc140 libisccfg140 liblwres141

- Depend on systemd macros and sysvinit on post-12.3 only.
- Create empty lwresd.conf at build time.
- Reduce file list pre-13.1.
- Update to version 9.10.2
- Handle timeout in legacy system test. [RT #38573]
- dns_rdata_freestruct could be called on a uninitialised structure when
handling a error. [RT #38568]
- Addressed valgrind warnings. [RT #38549]
- UDP dispatches could use the wrong pseudorandom
number generator context. [RT #38578]
- Fixed several small bugs in automatic trust anchor management, including a
memory leak and a possible loss of key state information. [RT #38458]
- 'dnssec-dsfromkey -T 0' failed to add ttl field. [RT #38565]
- Revoking a managed trust anchor and supplying an untrusted replacement
could cause named to crash with an assertion failure.
(CVE-2015-1349) [RT #38344]
- Fix a leak of query fetchlock. [RT #38454]
- Fix a leak of pthread_mutexattr_t. [RT #38454]
- RPZ could send spurious SERVFAILs in response
to duplicate queries. [RT #38510]
- CDS and CDNSKEY had the wrong attributes. [RT #38491]
- adb hash table was not being grown. [RT #38470]
- Update bind.keyring
- Update baselibs.conf due to updates to libdns160 and libisc148
- Enable export libraries to support plugin development.
Install DNSSEC root key.
Expose new interface for developing dynamic zone database.
+ dns_dynamic_db.patch

==== blinken ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== bovo ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== bundle-lang-common-cs ====
Subpackages: bundle-lang-common-da bundle-lang-common-de bundle-lang-common-el
bundle-lang-common-en bundle-lang-common-es bundle-lang-common-fr
bundle-lang-common-hu bundle-lang-common-it bundle-lang-common-ja
bundle-lang-common-pl bundle-lang-common-pt bundle-lang-common-ru
bundle-lang-common-zh

- update package list

==== bundle-lang-gnome-cs ====
Subpackages: bundle-lang-gnome-da bundle-lang-gnome-de bundle-lang-gnome-el
bundle-lang-gnome-en bundle-lang-gnome-es bundle-lang-gnome-fr
bundle-lang-gnome-hu bundle-lang-gnome-it bundle-lang-gnome-ja
bundle-lang-gnome-pl bundle-lang-gnome-pt bundle-lang-gnome-ru
bundle-lang-gnome-zh

- update package list

==== bundle-lang-kde-cs ====
Subpackages: bundle-lang-kde-da bundle-lang-kde-de bundle-lang-kde-el
bundle-lang-kde-en bundle-lang-kde-es bundle-lang-kde-fr bundle-lang-kde-hu
bundle-lang-kde-it bundle-lang-kde-ja bundle-lang-kde-pl bundle-lang-kde-pt
bundle-lang-kde-ru bundle-lang-kde-zh

- update package list

==== calligra ====
Version update (2.9.1 -> 2.9.4)
Subpackages: calligra-doc calligra-extras-dolphin calligra-extras-okular
calligra-stage calligra-words-common

- Update to 2.9.4:
See
https://www.calligra.org/news/calligra-2-9-4-released/
https://www.calligra.org/news/calligra-2-9-2-released/
for details.

==== calligra-l10n-cs ====
Version update (2.9.1 -> 2.9.4)
Subpackages: calligra-l10n-da calligra-l10n-de calligra-l10n-de-doc
calligra-l10n-el calligra-l10n-en_GB calligra-l10n-es calligra-l10n-es-doc
calligra-l10n-fr calligra-l10n-fr-doc calligra-l10n-hu calligra-l10n-it
calligra-l10n-it-doc calligra-l10n-ja calligra-l10n-pl calligra-l10n-pt
calligra-l10n-pt-doc calligra-l10n-pt_BR calligra-l10n-pt_BR-doc
calligra-l10n-ru calligra-l10n-ru-doc calligra-l10n-zh_CN calligra-l10n-zh_TW

- Update to 2.9.4

==== cervisia ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== chmlib-devel ====
Subpackages: libchm0

- Use url for source
- Cleanup spec file with spec-cleaner

==== cmake ====

- Add python-base Requires in order to make cmake automatic
provider always work, and to avoid strange and random build
failures when python is not present

==== libcmis-0_5-5 ====

- Added patches:
* 0001-fix-boost-configuration-with-gcc-5.patch
- Upstream fix for boost detection with gcc5
* 0002-avoid-use-after-delete.patch
- Upstream fix for test-ws failure
- Removed patch:
* fix-boost-with-gcc5.patch
- Superseded by the two previous patches
- fix-boost-with-gcc5.patch: upsream patch to support gcc5
- use upstream source url

==== digikam ====
Subpackages: kipi-plugins kipi-plugins-acquireimage kipi-plugins-geolocation
libmediawiki-devel libmediawiki1

- For Tumbleweed start using the libkgeomap that is provide with
KDE Applications.

==== docbook_5 ====

- Changed DocBook catalog URIs to 5.1 instead of 5.1CR3

==== dracut ====
Version update (037 -> 041)

- Add fix for multipath systems without multipathd.conf
bsc#927719: Tumbleweed Snapshot blocked: no multipath support in 20150416\
(likely dracut issue)
bsc#930019: multipath is broken in dracut due to missing /etc/multipath.conf
file (systemd multpath.service condition)
* Added patch: dracut_fix_multipath_without_config.patch
- Update to dracut mainline version 041.
Half of the patches got integrated mainline.
Some others have been merged together when it made sense some have
been left out, but are still in the repository as they need some special
treating and mainline discussion whether/how they get added. These are
also not urgently needed, but are debugging patches.
I broke the rule here to mention every added/deleted/modified patch as
every patch is touched and every 2nd got removed (mainline integrated).
I also re-ordered the patches in the PatchXY: area for easier merging them
and get them discussed and posted mainline easier, topic by topic.
- Patches merged in the git tracking repository:
0065-95iscsi-Fixup-bnx2i-offload-booting.patch
0028-95udev-rules-Include-correct-sg3_utils-rules.patch
0135-lvm-Fix-12819a579900b9691e2-check-for-existance-of-6.patch
0100-Add-btrfs-rescue-utilities.patch
0067-95fcoe-check-always-returns-255.patch
0138-warpclock-Do-not-use-warpclock-module-on-S390-x-hwcl.patch
0077-90multipath-add-missing-11-dm-mpath.rules-file.patch
0042-Enhance-suse.conf-example-with-SUSE-specific-setting.patch
0161-Fix-error-message-when-there-are-no-internal-kernel-.patch
0111-90mdraid-Remove-line-for-offroot-detection.patch
0129-Revert-commit-6ecab258710d158a7a6-and-only-do-not-wa.patch
0041-mkinitd-suse-remove-hostonly-and-hostonly-cmdline.patch
0030-95iscsi-Autodetect-iSCSI-firmware.patch
0052-99base-Add-chown-binary.patch
0105-95iscsi-parse-output-from-iscsiadm-correctly.patch
0101-Print-stored-dracut-commandline-during-initramfs-bui.patch
0096-dracut-Fix-error-local-can-only-be-used-in-a-functio.patch
0043-40network-always-add-network-module.patch
0035-Introduce-force-drivers-parameter-and-force_drivers-.patch
0136-Revert-95udev-rules-add-persistent-network-rule.patch
0143-iscsi-Fix-up-ipv6-in-brackets-iterate-over-all-possi.patch
0167-do-not-symlink-var-log-to-run-log.patch
0024-Fixup-mdraid-setup.patch
0032-mkinitrd-suse.sh-Use-hostonly-and-hostonly-cmdline-c.patch
0022-95udev-rules-add-persistent-network-rule.patch
0166-load-xhci-pci.patch
0047-95resume-skip-module-for-s390-x.patch
0014-Update-dracut-manpage-for-GRUB-Legacy-and-GRUB2.patch
0055-95fcoe-Only-install-fcoe-module-if-required.patch
0078-Restore-original-IFS-value.patch
0046-dracut-Do-not-wait-for-swap-device.patch
0074-More-empty-cmdline-fixes.patch
0112-99base-warn-on-invalid-command-for-initqueue.patch
0034-dracut-Do-not-stop-installing-drivers-if-one-fails.patch
0139-dracut.sh-check-for-logfile-logfile-option-and-creat.patch
0127-99base-Increase-initqueue-timeout-in-non-systemd-cas.patch
0104-Generate-fallback-mount-unit-for-root-filesystem.patch
0154-resume-Also-allow-this-module-on-S390-again-s2disk-c.patch
0149-dracut.sh-Fix-fstab-parsing-again.patch
0027-90multipath-install-dracut-specific-service-file.patch
0084-95rootfs-block-Correctly-terminate-commandline-param.patch
dracut_v37_to_HEAD.patch
0128-90lvm-Install-dm-snapshot-module.patch
0063-90multipath-Install-libgcc_s-library.patch
0062-95iscsi-Install-libgcc_s-library.patch
0146-dracut.sh-corrected-logfile-check.patch
0071-Fix-non-export-of-journal-dev-boot-options.patch
0044-Add-find-to-debug-binaries.patch
0039-Remove-force-parameter-from-mkinitrd.patch
0026-90multipath-add-67-kpartx-compat.rules.patch
0099-90multipath-Load-device_handler-modules-early-during.patch
0029-90multipath-install-correct-multipath-rules.patch
0031-90multipath-Fixup-service-file-for-booting.patch
0036-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
A patch (dracut_v041_to_HEAD.patch) is being added without being properly
referenced from the changelog.
0151-Go-back-to-xz-again-pixz-may-use-too-much-memory-whi.patch
0069-81cio_ignore-skip-module-if-cio_ignore-is-not-active.patch
0070-81cio_ignore-rewrite-module.patch
0033-95iscsi-Set-correct-iscsi_started-value-for-iSCSI-fi.patch
0098-Do-not-call-lvm-for-non-LVM-device-mapper-devices.patch
0023-systemd-always-tries-to-load-autofs4.patch
0051-mkinitrd-suse-add-update-bootloader-message.patch
0013-mkinitrd-suse-do-not-update-bootloader-if-no-kernel-.patch
0115-Handle-module-alias-properly.patch
0054-95iscsi-update-commandline-printing.patch
0148-dracut.sh-Fix-LABEL-and-other-fstab-syntax.patch
0122-btrfs-btrfs-dump-super-and-btrfs-select-super-do-not.patch
0045-40network-add-missing-_arch-variable-declaration.patch
0050-95iscsi-strip-one-set-of-quotes-when-calling-initque.patch
0152-Add-a-comment-to-easily-add-debug-modules-also-add-v.patch
0147-dracut.sh-Fix-UUID-fstab-parsing-in-case-mount-optio.patch
0038-95fcoe-start-lldpad-separately.patch
0082-00warpclock-check-for-sbin-hwclock.patch
0155-iscsi-iscsi.initiator-and-others-can-and-must-only-s.patch
0037-95fcoe-update-fcoe-interface-check.patch
0141-iscsi-Avoid-bad-ip-route-call-on-empty-address.patch
0049-95iscsi-Use-ip-ibft-for-ibft-autoconfiguration.patch
0153-Only-add-network-module-on-request-and-on-dependenci.patch
0097-Implement-rd.timeout-to-modify-the-device-timeout.patch
0169-fix-systemd-vconsole.patch
0073-Don-t-create-lots-of-empty-cmdline-files-for-hostonl.patch
0103-Fixup-missing-separators-in-rootfs-block-cmdline.patch
0064-90kernel-modules-install-scsi_dh_alua.patch
0012-Check-for-plymouth-lib-directories.patch
0092-dracut-nbd-Only-complain-of-missing-binary-in-hoston.patch
0160-nfs-Add-ip-.-and-root-nfs.-parameters-to-internal-dr.patch
0093-95iscsi-generate-commandline-for-software-iscsi.patch
0040-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
0156-dracut.usage.asc-Remove-distro-specific-help-from-ma.patch
0018-mkinitrd-suse-Fix-whitespaces-when-adding-drivers.patch
0140-dracut.sh-Avoid-duplicate-devices-in-host_devs.patch
0095-95iscsi-use-static-configuration-for-software-iscsi.patch
0025-95udev-rules-Add-59-scsi-sg_utils.rules.patch
0072-Also-export-root-boot-param-for-hostonly-cmdline-cas.patch
0102-Align-dev_unit_name-with-systemd-s-function.patch
0001-kernel-modules-Fix-storage-module-selection-for-sdhc.patch
- Added dracut_v041_to_HEAD.patch: new patch from v041 against our git

==== dragonplayer ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== evolution ====
Version update (3.16.1 -> 3.16.2.1)
Subpackages: evolution-plugin-bogofilter evolution-plugin-spamassassin

- Update to version 3.16.2.1:
+ EMsgComposer - It is impossible to write 'Z' into composer.
- Changes from version 3.16.2:
+ Composer:
- Don't block selection-changed handlers if they are already
blocked.
- Insert credits, headers and other information in Normal
block.
- Undo initiated with shortcuts doesn't stop.
- Undo/Redo on operations with selection could be wrong.
+ EHTMLEditorView:
- Critical warning shown when declining a meeting invitation.
- Free an unused history event object when inserting the
tabulator fails.
- Avoid crash under force_spell_check_on_timeout().
- Pressing return on the end of HEADING element misbehaves.
- WebKitDOMRange is lost when editing quoted content.
- Surrounded links are wrong.
- Runtime warning when editing HTML message as new.
- Remove unneeded space.
- Fix the 'Paste Quotation' action.
- New line from the beginning of pasted text lost when pasting
- Preformated block in quoted content is wrapped when splitted
with new line.
- Minor code and style changes.
- Connect the 'changed::antialiasing' signal to the right
object.
- Don't print coordinates for HISTORY_AND and HISTORY_START
events.
- Replace g_timeout_add with g_timeout_add_seconds.
+ EHTMLEditorSelection:
- Don't perform actions on selection-changed callback when we
cannot obtain valid range.
- Fix text wrapping.
- Don't wrap every block in selection during 'Wrap lines'
action.
+ ESpellChecker: Correct typo in documentation.
+ Fix various memory leaks.
+ EMailRequest: SVG images in HTML email are not displayed.
+ Misleading counts of events in the Calendar view's
mini-calendar.
+ EHTMLEditorActions: Optimize history saving for 'Cut' action.
+ Attachment load/save should keep a reference to its top-level
window.
+ EHTTPRequest: GFileInfo not valid when machine is under heavy
load.
+ Bugs fixed: bgo#743996, bgo#746335, bgo#746276, bgo#747789,
bgo#691456, bgo#691493, bgo#747638, bgo#696552, bgo#745050,
bgo#701352, bgo#719476, bgo#705771, bgo#748636.
+ Updated translations.

==== evolution-data-server ====
Version update (3.16.1 -> 3.16.2)
Subpackages: evolution-data-server-devel libcamel-1_2-52 libebackend-1_2-10
libebook-1_2-16 libebook-contacts-1_2-1 libecal-1_2-18 libedata-book-1_2-25
libedata-cal-1_2-27 libedataserver-1_2-20 libedataserverui-1_2-1
typelib-1_0-EBook-1_2 typelib-1_0-EBookContacts-1_2 typelib-1_0-EDataServer-1_2

- Update to version 3.16.2:
+ Add a workaround for bgo#674885 (Type initialisation deadlock
in GObject).
+ [local book] Failure of contact remove not propagated to UI.
+ [CalDAV] Fix a little memory leak.
+ Fix various memory leaks.
+ Incorrect message info unreferenced in
camel_vee_folder_get_location().
+ [NNTP]:
- Provide feedback when updating folder content.
- Can fail to disconnect when the command was cancelled.
- Fix minor memory leaks.
+ [IMAPx] Do not free uninitialized memory in imapx_call_idle().
+ [POP3] Avoid crash on folder dispose, when iterating through
pending commands.
+ Add thread-safety into CamelAsyncClosure.
+ Slow expunge of a maildir folder.
+ [http calendar] Add UID to the component, if missing.
+ Remove confusing runtime warning in e-source.c.
+ Correct 'since' tags in D-Bus .xml files.
+ Bugs fixed: bgo#743996, bgo#746335, bgo#746276, bgo#747789,
bgo#691456, bgo#691493, bgo#747638, bgo#696552, bgo#745050,
bgo#701352, bgo#719476, bgo#705771, bgo#748636.

==== gawk ====
Version update (4.1.1 -> 4.1.2)

- skip frequently failing and timing dependent test strftime
- Correct info files scriplet handling section
- Update info and update-alternatives requirements
- GNU awk 4.1.2:
* manual improved
* The debugger's "restart" command now works again.
* Redirected getline is now allowed inside BEGINFILE/ENDFILE.
* A number of bugs have been fixed in the MPFR code.
* Indirect function calls now work for both built-in and extension
functions.
* Built-in functions are now included in FUNCTAB.
* In non-English locales, it was accidentally possible to use
non-english letters for identifiers
* The "where" command has been added to the debugger as an alias
for "backtrace".
* Gawk no longer explicitly checks the current directory after
doing a path search of AWKPATH.
* Infrastructure upgrades: Automake 1.15, Gettext 0.19.4,
Libtool 2.4.6, Bison 3.0.4.
* If a user-defined function has a parameter with the same name
as another user-defined function, it is no longer possible to
call the second function from inside the first.
* POSIX requires that the names of function parameters not be the
same as any of the special built-in variables and also not
conflict with the names of any functions. Gawk has checked for
the former since 3.1.7. With --posix, it now also checks for
the latter.
* The test suite should check for necessary locales and skip the
tests where it matters if support isn't what it should be.
* Gawk now expects to be compiled on a system with multibyte
character support.
- drop gawk-4.1.1-build-baddest.patch, upstream

==== git ====
Version update (2.3.7 -> 2.4.1)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.4.1:
* git diff bugfixes and improvements
* Fix spelling in .gitconfig created upon "git config --global"
* "git commit --date=now" or anything that relies on approxidate
lost the daylight-saving-time offset.
* "git cat-file bl $blob" failed to barf even though there is no
object type that is "bl".
* Improvements for repositories on NFS
- Update to new upstream release 2.4.0
* "git push" has been taught an "--atomic" option that makes a push
that updates more than one ref an "all-or-none" affair.
* Output from "git log --decorate" now distinguishes between a
detached HEAD vs. a HEAD that points at a branch.
* The phrasing `git branch` uses to describe a detached HEAD has
been updated to agree with the phrasing used by `git status`.
* A new "push.followTags" configuration turns the "--follow-tags"
option on by default for the `git push` command.
- Retrieve tarball signature

==== gnome-chess ====
Version update (3.16.1 -> 3.16.2)

- Update to version 3.16.2:
+ icon: provide a symbolic variant of the app icon.

==== gpg2 ====
Version update (2.1.3 -> 2.1.4)

- update to 2.1.4:
* gpg: Add command --quick-adduid to non-interacitivly add a new
user id to an existing key.
* gpg: Do no enable honor-keyserver-url by default. Make it work
if enabled.
* gpg: Display the serial number in the --card-staus output again.
* agent: Support for external password managers.
Add option --no-allow-external-cache.
* scdaemon: Improved handling of extended APDUs.
* Make HTTP proxies work again.
* All network access including DNS as been moved to Dirmngr.
* Allow building without LDAP support.
* Fixed lots of smaller bugs.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-x86_64-efi
grub2-x86_64-xen

- Support booting opensuse installer as PV DomU (boo#926795)
* added grub2-xen.cfg for tracking default pvgrub2 xen configs rather than
generating it from spec file
* grub2-xen.cfg: from Olaf Hering <ohering@xxxxxxxx>
- replace grub2-efinet-reopen-SNP-protocol-for-exclusive-use-by-grub.patch
with upstream version:
* 0001-efidisk-move-device-path-helpers-in-core-for-efinet.patch
* 0002-efinet-skip-virtual-IPv4-and-IPv6-devices-when-enume.patch
* 0003-efinet-open-Simple-Network-Protocol-exclusively.patch
Fixes EFI network boot in some QEMU configurations.
- fix grub2-mkconfig-aarch64.patch: fix arch detection broken
by malformed patch rediffing

==== gstreamer-plugins-good ====
Subpackages: gstreamer-plugins-good-extra

- Use manuel Requires for gstreamer-plugins-base and gstreamer:
the source_validator service has some issues finding the tarball
otherwise.
- Rename gstreamer-good.appdata.xml to
gstreamer-plugins-good.appdata.xml to match the package name.
- Add Summary to appdata file.

==== gucharmap ====
Version update (3.16.1 -> 3.16.2)
Subpackages: gucharmap-devel libgucharmap_2_90-7 typelib-1_0-Gucharmap-2_90

- Update to version 3.16.2:
+ charmap: Fix build with gtk+ < 3.16 (bgo#749141).
+ Updated translations.

==== libgupnp-1_0-4 ====
Version update (0.20.13 -> 0.20.14)

- Update to version 0.20.14:
+ Simplify UUID handling.
+ Bugs fixed: bgo#743072, bgo#744221.

==== help2man ====
Version update (1.46.5 -> 1.46.6)

- Update to 1.46.6
* Add German, Ukranian and Polish translations of info
documentation.
* Add Hungarian and Norwegian Bokmaal translations.

==== hyper-v ====

- hv: hypervvssd: call endmntent before call setmntent again
- remove unused bytes_written from kvp_update_file()
- address compiler warnings for hv_kvp_daemon.c
- kvp_daemon: make IPv6-only-injection work
- address compiler warnings for hv_fcopy_daemon.c
- do not add redundant '/' in hv_start_fcopy()

==== libImlib2-1 ====

- run autoreconf unconditional. PMBS got a fixed version for SLE_11

==== ipsec-tools ====

- racoon-fips-rsa.patch: Use a default exponent of at least 65537
(minimum FIPS required public exponent)
- racoon-no-md5.patch: replace one md5 usage by sha1 in an internal
hash table. Allow md5 usage for an external visible interface,
as it is also hashing only.

==== juk ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kalgebra ====
Version update (4.14.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* Kalgebra is now KDE Frameworks based

==== kalzium ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kio_kamera ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kanagram ====
Version update (4.14.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* Kanagram is now KDE Frameworks based

==== kapptemplate ====
Version update (4.14.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Drop no longer needed patch desktop-files.diff
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* KApptemplate is now KDE Frameworks based

==== kate ====
Version update (4.14.3 -> 15.04.1)
Subpackages: kwrite

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Added katefix.diff: Register with dbus to wake up KRun, and
unregister then (kde#339094)
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* Kate is now KDE Frameworks based

==== katomic ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kblackbox ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kblocks ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kbounce ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kbreakout ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kbruch ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kcachegrind ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kcalc ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kcharselect ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kcolorchooser ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kcron ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdeartwork4-decorations ====
Version update (14.12.3 -> 15.04.1)
Subpackages: kdeartwork4-screensaver

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== dolphin ====
Version update (14.12.3 -> 15.04.1)
Subpackages: kdebase4-libkonq kdebase4-nsplugin kdepasswd kdialog
keditbookmarks konqueror konqueror-plugins libkonq-devel libkonq5

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdebase4-runtime ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Drop unneeded patch Remove-volume-control-from-KNotify.patch
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdebase4-workspace-libs ====
Version update (4.11.17 -> 4.11.19)
Subpackages: oxygen-cursors4 python-kdebase4

- Update to 4.11.19
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Require kscreen < 5.3.0
- Update to 4.11.18
* KDE Applications 15.04.0
* See https://www.kde.org/announcements/announce-applications-15.04.0.php

==== kdeedu-data ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdelibs4 ====
Version update (4.14.7 -> 4.14.8)
Subpackages: kdelibs4-core kdelibs4-doc libkde4 libkde4-devel libkdecore4
libkdecore4-devel libksuseinstall1

- Update to 4.14.8
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php

==== kdenetwork4-filesharing ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== akonadi ====
Version update (4.14.7 -> 4.14.8)
Subpackages: akregator blogilo kaddressbook kalarm kdepim4 kjots kmail knode
knotes kontact korganizer ktimetracker ktnef libkdepim4

- Update to 4.14.8
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php

==== kdepim4-runtime ====
Version update (4.14.7 -> 4.14.8)

- Update to 4.14.8
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php

==== kdepimlibs4 ====
Version update (4.14.7 -> 4.14.8)
Subpackages: libakonadi4 libkdepimlibs4 libkdepimlibs4-devel

- Update to 4.14.8
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php

==== kio_svn ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdesdk4-scripts ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kfilereplace ====
Version update (14.12.3 -> 15.04.1)
Subpackages: kimagemapeditor klinkstatus

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdf ====
Version update (14.12.3 -> 15.04.1)
Subpackages: kwikdisk

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdiamond ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kdnssd ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kfloppy ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kgamma ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kgeography ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kget ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kgoldrunner ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kgpg ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== khangman ====
Version update (4.14.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Do not require libkhangmanengine5, this doesn't exist any more
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Add also a conflict for the devel package.
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* KHangman is now KDE Frameworks based

==== kig ====
Version update (4.14.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* Kig is now KDE Frameworks based

==== kio_audiocd ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kiriki ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== fonts-KanjiStrokeOrders ====
Version update (14.12.3 -> 15.04.1)
Subpackages: kiten

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kiwi ====
Version update (7.02.37 -> 7.02.47)
Subpackages: kiwi-desc-isoboot kiwi-desc-netboot kiwi-desc-oemboot
kiwi-desc-vmxboot kiwi-doc kiwi-media-requires kiwi-pxeboot kiwi-templates
kiwi-tools

- v7.02.47 released
- Google doesn't like pretty print of json metadata
- v7.02.46 released
- Fixed console initialization on exception
If multiple consoles are used like console=tty0 console=ttyS0
the output is multiplexed among all consoles if plymouth or blogd
is in use. However if a system shell exception occurs the
exception shell was not correctly initialized as controlling
terminal. In order to fix this the sulogin program is used and
the shell .bashrc will reset the spawned console first.
This fixes (bnc#928090)
- Fixed use of ovftool v3.5.x
If format="ova" is specified kiwi uses VMware's ovftool if installed
on the host to generated the ova tarball. In addition kiwi extracts
the vmdk and ovf metadata from the ovftool generated data and overwrites
it with the files created by kiwi. This allows us to create vmdk
versions like VSphere needs it
- v7.02.45 released
- Allow archives to be bootstrap or image archives
Archives listed in the bootstrap section should be installed
as part of the bootstrap phase. before this patch all archives
from all packages sections were collected and installed in one
shot after all packages were installed.
- Fixed creation of bootincluded_archives.filelist
This should only be done for archives marked as bootinclude
- v7.02.44 released
- Follow up fix for kiwi repository runtime script
The temporary creation of KIWIAnalyse.tgz should be done with
the login user identity
- v7.02.43 released
- Fixed kiwi repository runtime script
It unpacked metadata/KIWIAnalyse.tgz even if the data already exists
- Follow up fix for grub_cpu validation
Incorrect shell syntax
- Added runtime check for target directories
Setting the target directory as part of /var/cache/kiwi leads
to busy mount processes because this shared cache location is
used by kiwi as part of the building process
- Fixed cache selector
Calling the cache selector while in init-cache mode doesn't make sense
- Changed default image cache location
The previous location was set to /var/cache/kiwi/image but this leads
to busy mounts when preparing a cache image below this path because
/var/cache/kiwi is bind mounted during preparation of a cache. Thus
the default cache location is set to /var/cache/kiwi-images
- Fixed error message on --init-cache
If the given cache dir does not exist display a proper error message
- Fix lvm volume regex to allow volume names that are just have a forbidden
name as prefix
- Make sure btrfs subvolumes are listed in fstab
In order to leave a rollback prepared system after first boot
it's important to configure SUSE_BTRFS_SNAPSHOT_BOOTING as
well as add all subvolumes as single mountpoints to the fstab
file
- Added support to filter install devices
There is now a <oem-device-filter> element which allows to receive
a free form text evaluated as input for the bash regexp operator.
Every device matching the rule is filtered out and not part of
the selection list for the install targets in an oem installation
process. This addresses (bnc #924436)
- Fixed use of fdasd on SLE12
when using fdasd on an empty disk two questions raises which
needs to be answered/confirmed before kiwi can proceed to create
partitions (bnc #928550)
- v7.02.42 released
- Update RHEL7 JeOS template
Added lan0 udev rule, don't use lvm to simplify setup
- Fixed use of custom kernel options for recovery
custom kernel paratmers are stored in $kiwi_cmdline inside
of the boot code. The information was not used for the recovery
grub config. Therefore a difference in kernel boot options for
standard boot and for recovery boot could happen which should
not be the case
- Fixed boot_efilabel for elilo compat mode
The efi boot label should match the title set in the bootloader
menu. This is should be set to kiwi_oemtitle
- v7.02.41 released
- Run lvcreate with --noudevsync
This allows to build LVM images in container systems
which doesn't have udev running
- Update SLE12 JeOS description
The new pattern system requires libsolv >= 0.6.5 to be installed on
the building host. Thus solve patterns as package to stay compatible
with older build host systems
- Added dice buildsystem config to x86 JeOS images
- The linuxefi and initrdefi commands only exists on x86 and x86_64.
Write the grub config setting for linuxefi and initrdefi only on these
platforms, for all others the appropriate command is linux and initrd.
- Keep terminal reset utility inside boot images
- Fixed useless use of greediness modifier '+' in regex
- Builder infrastructure
+ Integrate ext* file system image builds into the "builder"
infrastructure to simplify and improve the structure of image builds
- Style changes for mount dependency checker
* Use here documents to construct messages
* Use pstree to show sub tree of processes
* Use perl builtin methods to read from proc
- Fixed product name in SLE12 s390 JeOS
- Better description for pattern use in 13.2 JeOS
- Fetch errno($!) directly after call
Reading of $! later will not provide the information
- Added __checkMountDependencies runtime check
The check looks for processes which holds onto mounts created by a
previos kiwi run. In such a condition kiwi is not able to release
its own mount table and shows information about the processes which
keeps these mount points busy. We still don't understand why there
could be non kiwi related processes holding onto mounts kiwi has
created during its run but kiwi should provide a way to tell this
information to the user and stop if the environment is still tainted
by such processes (bnc #895204)
- Added __checkDeprecatedFilesystem runtime check
The use of clicfs is deprecated, a hint to use overlayfs if
possible is shown as a warning message to the user
- Delete kernel/adaptec-firmware from boot images
For s390 there are no such packages in the SLE12 code base
- v7.02.40 released
- remove call to addAppdata again
merge error
- v7.02.39 released
- prefer packages by priority of repositories, not by architectures.
- Ensure recovery entry is appended for elilo compat
elilo does not support adding custom entries to the written
grub configuration. Thus we have to make sure the recovery
entry doesn't get lost after a recovery run. Therefore the
menu entry is added as part of the installBootloader function
because this function is called after a recovery run while
the installBootloaderRecovery functions are only called once
at initialization time of the recovery partition
- Fixed missing boot/efi mount path after recovery
In recovery/repair mode the boot/efi path is not umounted
correctly when init/systemd is started. Both paths /boot and
/boot/efi are part of the fstab and if boot/efi is already
mounted when fstab is processed the mount of /boot will
cover and therefore hide the contents of boot/efi
- v7.02.38 released
- Revert "Added gptfdisk to SLE11 oemboot descriptions"
This reverts commit 8a49b0d75f583cc4f18fdb57fb36722777e71725.
- Revert "Update SLE11 JeOS description"
This reverts commit 5cec0de206a4b2bcf15216ec8696cbedaa9a5c77.
- Added elilo compat mode to recovery boot setup
In normal grub2 mode the recovery entry is just written as a custom
menu entry and processed by grub2-mkconfig. However if the elilo
compat mode is in use on SLES11 with efi the recovery menu entry
must be written to the elilo generated grub.cfg
- Disable uuid support in createFilesystem for btrfs
This will be changed once SLES11 SP4 is out to have a
compatible version out until then
- Recovery fixes and improvements
* Added root.uuid / boot.uuid information to the recovery
The UUID is used on restore to create the filesystem with
the same UUID as before. This also allows to use the same
efi binary as before and avoids the hack of copy over a
standard efi binary
* Allow createFilesystem to receive an optional UUID parameter
In order to set the UUID for xfs the xfs_admin tool has been
set to be a persistent part of the boot image(initrd)
* Better messages for bootloader setup. Distinguish between
boot loader setup for recovery and root system
* Fixed description setup in elilo.conf for SLE11 efi compat
mode. If kiwi_oemtitle is not set use kiwi_displayname
to avoid an empty title in the boot menu
- Added gptfdisk to SLE11 oemboot descriptions
- Update SLE11 JeOS description
Added SP4 repos, use repo source from download.suse.de

==== kiwi-config-openSUSE ====

- With the switch to Plasma 5, the KDE related displaymanager to be
used is 'sddm' instead of 'kdm4'.

==== kjumpingcube ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== klettres ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kmag ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kmahjongg ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kmines ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kmix ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Drop unneeded patch Who-needs-event-slider.patch
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Drop upstreamed patch kmix-4.14.3-fix-bashisms.patch

==== kmousetool ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kmouth ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kmplot ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== knavalbattle ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== knetwalk ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kolf ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kollision ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kolourpaint ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kompare ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== konquest ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== konsole ====
Version update (4.14.3 -> 15.04.1)
Subpackages: konsole-part

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php

==== konversation ====
Version update (1.5.1 -> 1.6)
Subpackages: konversation-lang

- Update to 1.6:
* Improved support for character set aliases via KCharsets.
* Improved behavior when reconnecting and Konversation had to use
an alternate nickname for the previous connection because the
preferred nickname was already in use: Konversation will now
try harder to go back to nicknames sorted earlier in the
identity's nickname list, instead of advancing down the list
without checking whether earlier nicknames have become
available again.
* Konversation will no longer give up trying to connect when only
a single nickname is configured and not available at connection
time. Instead, it will do as many reconnection attempts as
allowed by user configuration.
* Fixed incorrect size calculations for the channel topic text
label causing cut-off text and unwanted collapsing of the topic
area.
* Fixed a bug causing auto-connect not to connect to networks in
the order they are listed in the Server List dialog.
* Fixed a bug causing the main window not to be raised when an
Konversation is started an additional time and the window is
currently minimized.
* The default tabs position is now 'Left', i.e. the treelist
version of the tab bar.
* Tabs can now be reordered by drag and drop again.
* Fixed various rendering issues in the treelist version of the
tab bar and made it high-DPI scaling-capable.
* Fixed a bug causing Channel List tabs not to be sorted below
the status tab of the server they belong to in the treelist
version of the tab bar, and corrupt its contents.
* Fixed margins in the Edit Network dialog.
* Improved wording and correctness of several interface messages.
* Fixed a bug causing some interface messages and labels not to
use their translated versions when running with a language
other than US English.
* Fixed a bug causing Konversation not to generate default
command aliases for installed scripts at startup anymore.
* The bundled 'cmd' script now defaults to trying to decode
command output as Utf-8 even when run on Python 2.
* Fixed the bundled 'bug' script not working.
* Fixed naming of bundled icons.
* Konversation now opts into Qt's high-DPI pixmap handling.
* Adjusted build system to use co-installable version of qca-qt5.
* Fixed build failures on Windows.
* Konversation now depends on KDE Frameworks v5.2.0 and Qt
v5.3.0.
* The default nickname list theme has been updated to KDE's new
Breeze visual identity.
* Notification events now have non-generic titles to prevent
Plasma Desktop 5 from merging events from different sources.
* Fixed a bug causing the "Focus Input Bar" action to be
enabled/disabled at incorrect times.
- Package ported to KF5. Updated build and runtime requirements to
the KF5 ones.
- Removed support for old openSUSE versions.

==== kopete ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kpat ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kppp ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kqtquickcharts ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== krdc ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kremotecontrol ====
Version update (14.12.3 -> 15.04.1)
Subpackages: liblibkremotecontrol1

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kreversi ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== krfb ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kruler ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ksaneplugin ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kscd ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kshisen ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ksirk ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ksnapshot ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kspaceduel ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ksquares ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kstars ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ksudoku ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ksystemlog ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kteatime ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ktimer ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ktouch ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kturtle ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== ktux ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kubrick ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kwalletmanager ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== kwordquiz ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libQtWebKit-devel ====
Subpackages: libQtWebKit4

- Add fix-g++5-build.patch from upstream

==== libassuan-devel ====
Version update (2.2.0 -> 2.2.1)
Subpackages: libassuan0

- libassuan 2.2.1:
* Documentation updates.
* Fixes for platforms other than GNU/Linux

==== libcacard0 ====

- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
* Patches added:
0040-s390x-Add-interlocked-access-facili.patch

==== libdrm-devel ====
Version update (2.4.60 -> 2.4.61)
Subpackages: libdrm2 libdrm2-32bit libdrm_intel1 libdrm_intel1-32bit
libdrm_nouveau2 libdrm_nouveau2-32bit libdrm_radeon1 libdrm_radeon1-32bit
libkms1

- Update to version 2.4.61
* Release to fix regression in nouveau in 2.4.60, but brings lots
of android changes and other fixes.
- deprecates reverse applied patches
* U_nouveau-Do-not-add-most-bo-s-to-the-global-bo-list.patch
* U_nouveau-make-nouveau-importing-global-buffers-comple.patch

==== libinput-devel ====
Version update (0.14.1 -> 0.15)
Subpackages: libinput-udev libinput10

- Update to version 0.15.0:
* One new API was added: libinput_device_keyboard_has_key() which
does what it says on the box.
* A new tool is now available: libinput-debug-events
This tool allows debugging libinput events directly, it works
as something like an evtest to libinput. Note that it is very
much a debugging tool only, do not rely on any specific
behavior or output format.
* A new udev property POINTINGSTICK_CONST_ACCEL is now supported
for pointing sticks. If set for a compatible device, the input
data is multiplied with a constant factor.
* We've added support for the LIBINPUT_MODEL_xzy udev tag. This
enables us to tag specific models or series in udev and apply
required quirks.
* A couple of bugfixes, mainly in the touchpad code. The
doubletap timeout is now longer but multi-tapping is generally
more responsive now.
* Clickfinger behavior was fixed to allow left-clicks even when a
touch isn't present on the device.
* Button scrolling is enabled by default on some devices now,
specifically on devices without a scroll wheel but with a
middle button.

==== libkcddb4 ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkcddb4-devel

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkcompactdisc4 ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkcompactdisc4-devel

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkdcraw-devel ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkdcraw23

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkdeedu4-devel ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkeduvocdocument4

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkdegames ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkdegames-devel

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkexiv2-11 ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkexiv2-devel

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkface ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkface-devel libkface3

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkgeomap-devel ====
Version update (4.9.0 -> 15.04.1)
Subpackages: libkgeomap2

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Fix the license used to the correct format
- Initial package based on KDE Applications 15.04

==== libkipi-devel ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkipi11

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libkmahjongg ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libkmahjongg-devel

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libksane-devel ====
Version update (14.12.3 -> 15.04.1)
Subpackages: libksane0

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libpt2_10_10 ====

- add libpt2-gcc5-fixes.patch: Fix build against GCC 5.x

==== libqt4 ====
Subpackages: libqt4-32bit libqt4-devel libqt4-linguist libqt4-qt3support
libqt4-qt3support-32bit libqt4-sql libqt4-sql-32bit libqt4-sql-sqlite
libqt4-sql-sqlite-32bit libqt4-x11 libqt4-x11-32bit

- add 0001-Fixes-crash-in-gif-image-decoder.patch,
0002-Fixes-crash-in-bmp-and-ico-image-decoding.patch
(bnc#927806, bnc#927807, bnc#927808,
CVE-2015-1858, CVE-2015-1859, CVE-2015-1860)
- add 0001-Don-t-leak-RENDER-Pictures-in-QPixmap-paintEngine.patch
- add 0001-Fix-DateTime-with-recent-versions-of-tzdata.patch
- add 0001-Fix-crash-when-deleting-top-level-windows-embedded-i.patch
- add 0001-Ignore-expired-certificate-during-certificate-valida.patch
- add 0001-Memory-and-file-descriptor-leak-in-QFontCache.patch
- add 0001-QDbus-Fix-a-b-comparison.patch
- add 0001-QDeclarativeTextEdit-fix-use-of-uninitialised-value.patch
- add 0001-QPdf-addImage-avoid-a-QImage-detach-when-it-s-in-an-.patch
- add 0001-QSslCertificate-blacklist-NIC-certificates-from-Indi.patch

==== libqt4-sql-mysql ====
Subpackages: libqt4-sql-mysql-32bit libqt4-sql-postgresql
libqt4-sql-postgresql-32bit libqt4-sql-unixODBC libqt4-sql-unixODBC-32bit

- add 0001-Fixes-crash-in-gif-image-decoder.patch,
0002-Fixes-crash-in-bmp-and-ico-image-decoding.patch
(bnc#927806, bnc#927807, bnc#927808,
CVE-2015-1858, CVE-2015-1859, CVE-2015-1860)
- add 0001-Don-t-leak-RENDER-Pictures-in-QPixmap-paintEngine.patch
- add 0001-Fix-DateTime-with-recent-versions-of-tzdata.patch
- add 0001-Fix-crash-when-deleting-top-level-windows-embedded-i.patch
- add 0001-Ignore-expired-certificate-during-certificate-valida.patch
- add 0001-Memory-and-file-descriptor-leak-in-QFontCache.patch
- add 0001-QDbus-Fix-a-b-comparison.patch
- add 0001-QDeclarativeTextEdit-fix-use-of-uninitialised-value.patch
- add 0001-QPdf-addImage-avoid-a-QImage-detach-when-it-s-in-an-.patch
- add 0001-QSslCertificate-blacklist-NIC-certificates-from-Indi.patch

==== libQt5Core5 ====
Subpackages: libQt5DBus5 libQt5Gui5 libQt5Network5 libQt5OpenGL5
libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-unixODBC libQt5Test5 libQt5Widgets5
libQt5Xml5 libqt5-qtbase-platformtheme-gtk2

- Added patches from upstream:
Fix-upload-corruptions-when-server-closes-connection.patch and
Fixed-a-deadlock-when-the-lock-file-is-corrupted.patch (qtbug#44771)
- Fixup previous change to also handle arguments in specs using %qmake5
- Also add QMAKE_LFLAGS to the macro
- Added QMAKE_CXXFLAGS and QMAKE_CFLAGS to macro %qmake5.

==== libQtQuick5 ====

- Add avoid-calling-potentially-pure-virtual-method.patch, QTBUG#45753
- Extend sse2_nojit.patch to warn users without SSE2 extension that
their processor is officially not supported.
Also pass -msse2 -mfpmath=sse flags when we are building with SSE2

==== libraw-devel ====
Version update (0.16.0 -> 0.16.1)
Subpackages: libraw10

- updated to 0.16.1:
* Fix for dcraw ljpeg_start() vulnerability.

==== libreoffice ====
Version update (4.4.2.2 -> 4.4.3.2)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc
libreoffice-calc-extensions libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-ru libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions

- Version bump to 4.4.3 release:
* Various small fixes all around
- Reformat with spec-cleaner

==== libssh-devel ====
Subpackages: libssh4

- add gcc5-fixes.patch: Fix build against GCC 5.x

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-uml libvirt-daemon-driver-vbox libvirt-daemon-qemu
libvirt-daemon-xen

- spec: build libxl driver for aarch64 and remove useless
'suse_version <= 1220' conditional

==== libvirt-python ====
Version update (1.2.14 -> 1.2.15)

- Update to 1.2.15
- Add all new APIs and constants in libvirt 1.2.15

==== libzypp ====
Version update (15.1.0 -> 15.1.1)

- PubliKey: fix reference to temporary data
- version 15.1.1 (1)

==== libzypp-plugin-appdata ====

- Fix installation of rpm-md provided metadata (expanding globs
inside quotes does not work).

==== lokalize ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== lxinput ====
Subpackages: lxinput-lang

- added lxinput-0.3.4-Apply-left-handed-mouse-setting-in-autostart-file.patch

==== liblxpanel0 ====
Version update (0.8.0 -> 0.8.1)
Subpackages: lxpanel lxpanel-lang

- New upstream version 0.8.1
* Improved OSS headers detection a bit.
* Fixed expand setting on plugins with default_expand when more
than one is available on the same panel.
* Fixed icon for task button that retrieved using WM_HINTS.
* Fixed wrong PanelIconGrid arrangement in vertical panel
orientation.
* Fixed missing handlers disconnect when destroying Task
structure.
* Removed writing debug messages to file when 'indicator' plugin
is in use - it will write all the debug there and that changes
the behavior which was not intended really.
* Corrected background for 'indicator' plugin.
* Fixed update 'indicator' plugin on configuration changes.
* Fixed battery status: if discharge rate is 0 then it's charged.
* Fixed incorrect cycle in netproc_devicelist_clear() leading to
crash on resume (after suspend).
* Fixed scanning for temperature sensors which failed with some
kernels.
* Changed reconfiguring panel behavior: callbacks to plugins will
be sent on idle, not immediately to avoid "stuck" spin button
(and eventually even crash was possible).
* Fixed initial icon on 'volumealsa' to show real state instead
of muted.
* Fixed 'dclock' updating that it will show time on start, not
just on next second change. It would create impression it's
slow otherwise.
* Fixed wrong task button activation on not processed drag of
button.

==== man-pages ====
Version update (3.83 -> 4.00)

- update to 4.00:
- new and rewritten pages
* get_phys_pages.3
* loop.4
* xattr.7
- newly documented interfaces in existing pages
* mmap.2
Document MAP_HUGE_2MB, MAP_HUGE_1GB, and MAP_HUGE_SHIFT
* shmget.2
Document SHM_HUGE_2MB, SHM_HUGE_1GB, and SHM_HUGE_SHIFT
* resolver.3
Add descriptions of some other resolver functions
Add res_ninit(), res_nquery(), res_nsearch(),
and res_nquerydomain(), res_nmkquery(), res_nsend().
* tty_ioctl.4
Document TIOCMIWAIT and TIOCGICOUNT
Document TIOCGEXCL
Document TIOGCPKT
Document TIOCSPTLCK
Document TIOCGPTLCK

==== libastro1 ====
Version update (14.12.3 -> 15.04.1)
Subpackages: marble marble-data marble-devel marble-doc

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== mlterm ====
Version update (3.4.0 -> 3.4.5)
Subpackages: mlterm-scim

- updated to 3.4.5:
* "Alt" which equals to "Mod" is available in ~/.mlterm/key.
* mlclient doesn't depend on kiklib.
* ~/.config/mlterm/challenge is supported.
* 0x0 - 0x7f characters are treated as US_ASCII instead of
ISO10646_UCS4_1.
* Extra margin area at the right and bottom edges is cleared
in maximizing a window.
* The default value of "use_clipboard" option is
changed from "false" to "true".
* etc, see ChangeLog

==== mobipocket ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libmono-2_0-1 ====
Version update (3.12.1 -> 4.0.1)
Subpackages: libmono-2_0-devel libmonoboehm-2_0-1 libmonoboehm-2_0-devel
mono-core mono-data mono-data-sqlite mono-extras mono-mvc mono-wcf mono-web
mono-winforms mono-winfxcore

- Update to version 4.0.1
* Adoption of Microsoft?s open source code
* C# 6.0
* Floating point optimizations
* Dropped support for the 2.0, 3.5 and 4.0 assemblies
* Updated IKVM
* Lighter Debugger overhead
* Basic PowerPC64 LE support
- Drop patches included by upstream:
* X509Certificate-workaround.patch
* gc-64bit-portability-warning.patch
* 0001-ppc64le-fixes.patch
- Drop mono-data-postgresql now maintained at www.npgsql.org
- Add amd64-tramp-size.patch
- Add gmcs redirect to still build legacy packages

==== kpartx ====
Subpackages: multipath-tools

- Remove 'udev_sync' argument from dm_simplecmd (bsc#903001)
- Ensure multipathd is started before systemd-udev-trigger
- Only import ID_FS_XXX variables if not set (bsc#909358)
- Fixup regular expression for HP MSA 2040 (bsc#920189)
- Add dependency on systemd-udevd.service (bsc#903001)
- Use ALUA for HP 3PAR (bsc#922105)
- Add DX8700 S3 and DX8900 S3 defaults (bsc#921703)
- Load all device handler modules on startup (bsc#908529)
- libmultipath: make vpd page 0x80 optional (bsc#917963)
- Add HP MSA 2040 to the hardware table (bsc#920189)
- Revert 'Skip unhandled device types' (bsc#917701)
- skip uninitialized devices during reconfiguration (bnc#908915)
- memory overflow when printing help text (bnc#909742)
- Do not automatically fall back to vpd uid generation
- Improve vpd parsing
- multipathd: trigger all devices on startup (bnc#901465)
- Unset 'uid_attribute' on failure
- libmultipath: Fall back to SG_IO if no UID could be assigned
(bnc#908915)
- Assign local priority for NAA VPD descriptor (bnc#907483)
- libmultipath: finally fix dev_loss_tmo setting (bnc#889927)
- libmultipath: Do not use 'sscanf' for parsing integers (bnc#889927)
- devmapper: do not flush I/O for DM_DEVICE_CREATE (bnc#901809)
- kpartx: handle more than 256 loop devices (bnc#898427)
- multipathd: fixup locking in uev_remove_map() (bnc#901891)
- multipathd: use global variable for uxsock timeout (bnc#900758)
- multipathd: remove unused variable in cli_reconfigure()
- Add %service calls for multipathd.socket

==== nbd ====
Subpackages: nbd-doc

- Fix CVE-2015-0847
* nbd_signaling_CVE-2015-0847.patch

==== ocfs2-tools ====
Version update (1.8.3+git.1418704844.65fac00 -> 1.8.4)

- libo2dlm: Close file description after use
+ 0001-libo2dlm-Close-file-description-after-use.patch
- debugfs.ocfs2: Fix a bug in process_open_args()
+ 0002-debugfs.ocfs2-Fix-a-bug-in-process_open_args.patch
- Update ocfs2-tools.tar.bz2 to upstream v1.8.4
- Use new ocfs2-tools git URL https://github.com/markfasheh/ocfs2-tools.git
- Drop patches (merged upstream):
- 0001-Use-cmap-for-getting-cluster-name.patch
- 0002-Remove-controld-dependency-in-group_join-leave.patch
- 0003-Auto-setup-cluster_stack-based-on-what-is-on-disk.patch
- 0004-mkfs.ocfs2-Abort-if-cluster-information-is-not-detec.patch
- 0005-mkfs-Setup-cluster_stack-if-not-setup-based-on-what-.patch
- 0006-Auto-setup-pcmk-stack-as-default-if-no-stack-is-setu.patch

==== okteta ====
Version update (4.14.3 -> 15.04.1)
Subpackages: okteta-devel

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* Okteta is now KDE Frameworks based

==== okular ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libopencv2_4 ====
Version update (2.4.9 -> 2.4.11)
Subpackages: opencv opencv-devel

- support gcc 5 (i.e. gcc versions without minor version):
opencv-gcc5.patch
- Update to OpenCV 2.4.11 - can't find NEWS or Changelog
merely collecting bug fixes while 3.0 is in the making, 2.4.11
didn't even make it on their web page, it's only on download
server
- remove opencv-underlinking.patch as obsolete
- remove upstream patch bomb_commit_gstreamer-1x-support.patch
- commenting out opencv-pkgconfig.patch - possibly it requires a rebase,
but the problem it tries to solve is unclear

==== oxygen-icon-theme ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== parley ====
Version update (4.14.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta
- Update to KDE Applications 14.12.3
* KDE Applications 14.12.3
* See https://www.kde.org/announcements/announce-applications-14.12.3.php
- Update to KDE Applications 14.12.2
* KDE Applications 14.12.2
* See https://www.kde.org/announcements/announce-applications-14.12.2.php
- Update to KDE Applications 14.12.1
* KDE Applications 14.12.1
* See https://www.kde.org/announcements/announce-applications-14.12.1.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
- Update to KDE Applications 14.12.0
* KDE Applications 14.12.0
* See https://www.kde.org/announcements/announce-applications-14.12.0.php
Update to KDE Applications 14.11.97
* KDE Applications 14.12 Release Candidate
* See http://www.kde.org/announcements/announce-applications-14.12-rc.php
* Parley is now KDE Frameworks based

==== patterns-openSUSE-apparmor ====
Version update (20150408 -> 20150505)
Subpackages: patterns-openSUSE-apparmor_opt patterns-openSUSE-base
patterns-openSUSE-books patterns-openSUSE-console patterns-openSUSE-devel_C_C++
patterns-openSUSE-devel_basis patterns-openSUSE-devel_gnome
patterns-openSUSE-devel_ide patterns-openSUSE-devel_java
patterns-openSUSE-devel_kde patterns-openSUSE-devel_kernel
patterns-openSUSE-devel_perl patterns-openSUSE-devel_python
patterns-openSUSE-devel_qt4 patterns-openSUSE-devel_rpm_build
patterns-openSUSE-devel_ruby patterns-openSUSE-devel_web
patterns-openSUSE-dhcp_dns_server patterns-openSUSE-directory_server
patterns-openSUSE-enhanced_base patterns-openSUSE-enhanced_base_opt
patterns-openSUSE-file_server patterns-openSUSE-fonts
patterns-openSUSE-fonts_opt patterns-openSUSE-games
patterns-openSUSE-gateway_server patterns-openSUSE-gnome
patterns-openSUSE-gnome_admin patterns-openSUSE-gnome_basis
patterns-openSUSE-gnome_basis_opt patterns-openSUSE-gnome_games
patterns-openSUSE-gnome_ide patterns-openSUSE-gnome_imaging patterns-ope
nSUSE-gnome_imaging_opt patterns-openSUSE-gnome_internet
patterns-openSUSE-gnome_laptop patterns-openSUSE-gnome_multimedia
patterns-openSUSE-gnome_multimedia_opt patterns-openSUSE-gnome_office
patterns-openSUSE-gnome_office_opt patterns-openSUSE-gnome_utilities
patterns-openSUSE-gnome_yast patterns-openSUSE-imaging
patterns-openSUSE-imaging_opt patterns-openSUSE-kde
patterns-openSUSE-kvm_server patterns-openSUSE-lamp_server
patterns-openSUSE-laptop patterns-openSUSE-lxde patterns-openSUSE-lxde_laptop
patterns-openSUSE-lxde_office patterns-openSUSE-mail_server
patterns-openSUSE-minimal_base patterns-openSUSE-minimal_base-conflicts
patterns-openSUSE-misc_server patterns-openSUSE-multimedia
patterns-openSUSE-multimedia_opt patterns-openSUSE-network_admin
patterns-openSUSE-non_oss patterns-openSUSE-non_oss_opt
patterns-openSUSE-office patterns-openSUSE-office_opt
patterns-openSUSE-print_server patterns-openSUSE-remote_desktop
patterns-openSUSE-rest_dvd patterns-openSUSE-sw_management pa
tterns-openSUSE-sw_management_gnome patterns-openSUSE-tabletpc
patterns-openSUSE-technical_writing patterns-openSUSE-x11
patterns-openSUSE-x11_opt patterns-openSUSE-x11_yast
patterns-openSUSE-xen_server patterns-openSUSE-xfce
patterns-openSUSE-xfce_basis patterns-openSUSE-xfce_laptop
patterns-openSUSE-xfce_office patterns-openSUSE-yast2_basis
patterns-openSUSE-yast2_install_wf

- e17 pattern is now the enlightenment pattern and installs the
latest enlightenment release rather then e17.
- The enlightenment pattern now recommends the following useful
applications
Mozzila-Firefox
desktop-data-openSUSE
xdg-user-dir
clementine
vlc
leafpad
mupdf
- Add kdepim apps to the kde patterns.
- Fix some kde4 left over patterns
- The right package name is breeze and not breeze5 :(
- Correction of the KDE related patterns
* Ensure the right ones are required
* Renamed devel_frameworks to devel_kde_frameworks
- Update of all KDE related patterns
* Plasma 5 desktop is the new default
* _kde4_ patterns renamed to _kde_
* Dropped the obsolete patterns for plasma5
* A new devel patterns was added to pull in the KDE Frameworks
development packages.
- Drop gstreamer-0_10 dependencies: this has not been maintained
for a couple years - if packages still rely on it, they are
required to ensure the presence on their own. No more help from
the patterns.

==== perl-Eval-Closure ====
Version update (0.12 -> 0.13)

- updated to 0.13
see /usr/share/doc/packages/perl-Eval-Closure/Changes
0.13 2015-05-12
- one more fix for blead (eserte, jplesnik, #6)

==== perl-Moose ====
Version update (2.1205 -> 2.1403)

- updated to 2.1403
see /usr/share/doc/packages/perl-Moose/Changes
2.1403 2014-12-07
[ENHANCEMENTS]
- Added a section to Moose::Manual::MethodModifiers illustrating how method
modifiers work with inheritance. (Andreas Koenig, RT #98940)
[DOCUMENTATION]
- Added docs to Moose.pm on the -meta_name import option. This addresses RT
[#98488].
[BUG FIXES]
- Fix a test that fails on MSWin32 systems using nmake
- fix dev build compilation error when using MSVC (A. Sinan Unur)
[OTHER]
- the modules in the git repository now have a defined $VERSION, to make it
easier to test MooseX::* and other code under development.
2.1402 2014-11-05
[BUG FIXES]
- Fix a test that was trying to load Test::Exception instead of Test::Fatal.
(Michael Schout)
2.1401 2014-11-03
[BUG FIXES]
- The core overloading support interacted badly with
MooseX::MarkAsMethods. If you used MooseX::MarkAsMethods in a role that
provided overloading, then that overloading would not be properly applied
to consuming classes, leading to very weird errors of the form:
Can't resolve method "???" overloading """" in package "Class2" ...
Note that the problems that MooseX::MarkAsMethods fixes are no longer
present if you are using Moose 2.1400+ and namespace::autoclean 0.16+. We
encourage you to upgrade both of these modules and remove
MooseX::MarkAsMethods from your code base.
2.1400 2014-10-31
[BUG FIXES]
- Moose exception classes now stringify all stack frames, to avoid issues
in global destruction (see RT#99811)
2.1307 2014-10-26 (TRIAL RELEASE)
[ENHANCEMENTS]
- Support added to Moose::Exporter for exporting subs by their fully
qualified name, as well as coderefs. This avoids internal breakage if some
other module has monkey-patched a sub to be exported and left it anonymous
(e.g. RT#88669). (Graham Knop, PR#84)
[BUG FIXES]
- Further refined the overloading fixes from 2.1306, fixing fallback
handling on older perl versions (Dave Rolsky, PR#85)
2.1306 2014-10-25 (TRIAL RELEASE)
[ENHANCEMENTS]
- Rewrote overloading implementation to use a new Class::MOP::Overload
object. This object properly captures all overloading information. The
Class::MOP::Method::Overload class has been removed. (Dave Rolsky, PR#83)
[BUG FIXES]
- If a role had method-based overloading but did not actually implement the
specified method, its overloading was simply ignored when applying
overloading to other roles or classes. Reported by rjbs. RT #98531.
2.1305 2014-10-22 (TRIAL RELEASE)
[ENHANCEMENTS]
- By default, exceptions thrown from inside Moose now remove most of the
Moose internals from their stack trace when stringifying. This makes for
much more readable error messages in most cases. Set the
MOOSE_FULL_EXCEPTION env var to true to get the complete stack trace.
2.1304 2014-09-25 (TRIAL RELEASE)
[BUG FIXES]
- closed a memory leak in Moose exception objects where captured stack
trace frames would contain circular references to the exception objects
themselves (Graham Knop, PR#81)
2.1303 2014-09-19 (TRIAL RELEASE)
[TEST FIXES]
- fix tests that fail on altered warning messages in perl 5.21.4 (RT#98987)
2.1302 2014-08-19 (TRIAL RELEASE)
[BUG FIXES]
- When a role consumes another role and they differ in their overloading
fallback settings, the consuming role now silently wins instead of
throwing an exception. This is consistent with how other
role-consumes-role conflicts are handled.
- Fixed the docs for overloading conflicts to match reality.
2.1301 2014-08-19 (TRIAL RELEASE)
[BUG FIXES]
- Conflict detection for overloading operators is now more correct. If a
class consumed two roles that both had identical overloading methods
(because they got them from some other role, for example), this caused an
error, but it shouldn't. GH #4. (rjbs)
- Similarly, when a role consumes another role, conflicts in overloading
operators are now silently resolved in favor of the consuming role, just
as they are with methods. Note that conflicts between the fallback setting
for roles are still an error.
2.1300 2014-08-11 (TRIAL RELEASE)
[ENHANCEMENTS]
- Moose now has core support for overloading in roles. When a role with
overloading is applied to classes or other roles, the overloading settings
are transferred to the consumer. Conflicts between roles are treated much
like method conflicts. This obviates the need for
MooseX::Role::WithOverloading. If you are using
MooseX::Role::WithOverloading, upgrade to version 0.15+ and it will simply
become a no-op when used with this version of Moose.
[OTHER]
- The overloading info methods for roles and classes no longer treat
"fallback" as an overloaded op. Instead, there are new
get_overload_fallback_value() and set_overload_fallback_value() methods to
deal with this explicitly. This is arguably a bug fix.
2.1213 2014-09-25
[BUG FIXES]
- closed a memory leak in Moose exception objects where captured stack
trace frames would contain circular references to the exception objects
themselves (Graham Knop, PR#81)
2.1212 2014-09-19
[TEST FIXES]
- fix tests that fail on altered warning messages in perl 5.21.4 (RT#98987)
2.1211 2014-08-11
[DOCUMENTATION]
- Updated Changes and Moose::Manual::Delta to note when we started removing
lazy_build from docs. Also added a note in the Moose::Meta::Attribute docs
stating that use of this feature is discouraged.
- Added a pointer from the auto_deref feature to
Moose::Meta::Attribute::Native. This is often a better choice.
[OTHER]
- The subs installed by Moose::Exporter->setup_import_methods are now named
using Sub::Name (Dave Rolsky, RT#97572)
2.1210 2014-07-03
[DOCUMENTATION]
- Clarify that Moose::Exception exists for internal usage and that user
code is better off using the Throwable role or Throwable::Error superclass.
- Moose::Manual::Support policy clarified regarding legacy Perl versions
[OTHER]
- tests have been removed for an alpha branch of Test::Builder that will
never see the light of day (Exodist)
2.1209 2014-06-04
[OTHER]
- The is_anon method now always returns false when called on
Moose::Meta::Role::Composite objects. This isn't strictly right, but for
the purposes of Moose internals, where "is_anon" really means "needs to be
cleaned up", it's correct. This fixes warnings that were seen when using
recent Moose (2.1100+) and MooseX::Role::Parameterized roles as part of a
composite role. These warnings only appear with Perl 5.16 and earlier.
2.1208 2014-06-01
[BUG FIXES]
- fix implementation of throw_exception in internal Class::MOP traits,
caused by changes in 2.1207 (ether, RT#96112)
2.1207 2014-05-26
[OTHER]
- Fixed Specio support to work with the latest Specio (0.10). This version of
Specio no longer uses Moose internally.
- exceptions in Class::MOP no longer use Moose::Util, instead using their
own private implementation of throw_exception, to avoid needless premature
loading of Moose logic.
2.1206 2014-05-14
[BUG FIXES]
- exceptions should not throw other exceptions; fixes cases where exceptions
were reporting the wrong error (Upasana, RT#92818 and RT#94795)
[OTHER]
- prereqs needed strictly for building with Dist::Zilla have been moved from
develop requires to develop recommends, to simplify automated testing on
older perls that cannot install all Dist::Zilla components
- removed instances of metaobjects in exception classes where they're not
really required
- remove outdated perl-Moose-apply_role.patch

==== perl-Template-Toolkit ====
Version update (2.25 -> 2.26)

- updated to 2.26
see /usr/share/doc/packages/perl-Template-Toolkit/Changes
[#] Version 2.26 - 17th September 2014
[#]------------------------------------------------------------------------
* Andy Wardley added outline directives. See Template::Manual::Syntax and
Template::Manual::Config for details of the OUTLINE_TAG option and new
'outline' TAG_STYLE. See t/outline.t for examples.
* Andy Wardley improved the handling of keywords when the ANYCASE option
is in use. See t/anycase.t for examples.
* Chromatic fixed UTF-8 encoding in URLs in URL plugin.
https://github.com/abw/Template2/pull/31
* Brian Fraser added support for platforms without LC_ALL/setlocale.
https://github.com/abw/Template2/pull/34
* Amiri Barksdale fixed RT46691 to plug filter memory leaks
https://github.com/abw/Template2/pull/36
* John Lightsey fixed RT59208 to improve SET
https://github.com/abw/Template2/pull/38
UPDATE: This had to be reverted as it cause a subtle breakage elsewhere
[#]-----------------------------------------------------------------------

==== pinentry ====
Version update (0.9.1 -> 0.9.2)
Subpackages: pinentry-gtk2 pinentry-qt4

- pinentry 0.9.2:
* Escape key works in the Gtk+ pinentry.
* Improvements for pinentry-tty.
- Upstream supported but not enabled:
* Support for saving the passphrase with libsecret.

==== kde4-l10n-devel ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== python-Twisted ====
Version update (15.0.0 -> 15.1.0)

- Version 15.1.0:
* deprecated MSN protocol support
* improved docs for Trial
* removed deprecated UDPClient
* twisted.web.static.File allows defining a custom resource for
rendering forbidden pages.
* minor bugfixes

==== python-enum34 ====
Version update (1.0 -> 1.0.4)

- update to version 1.0.4:
* no upstream changelog

==== python-httplib2 ====
Version update (0.9 -> 0.9.1)

- update to version 0.9.1:
* fix #296: There was a problem with headers when a binary string
is passed (like b'Authorization').
* fix #276: Default to doing DNS resolution through a proxy
server if present.

==== python-lockfile ====
Version update (0.9.1 -> 0.10.2)

- update to version 0.10.2:
* Fix package name
- additional changes from version 0.10.1:
* Add missing cover env in tox
- additional changes from version 0.10.0:
* Fix documentation bug report address
* Add py34 in tox
* Remove old diff file
* Add .gitreview, tox targets and use pbr
* fix for timeout=0
* remove 2.5, 3.1 and 3.4 from the list for the time being - may
get added back later
* Bugfix: locking two different files in the same directory
caused an error during unlocking the last unlocking
* typo
- update project URL
- point the source URL to pypi
- add new build dependencies: python-nose, python-pbr
and python-setuptools
- run the tests during build with nosetests

==== python3-py ====
Version update (1.4.26 -> 1.4.27)

- update to version 1.4.27:
* avoid calling normpath twice in py.path.local
* py.builtin._reraise properly reraises under Python3 now.
* fix issue53 - remove module index, thanks jenisys.
* allow posix path separators when "fnmatch" is called. Thanks
Christian Long for the complete PR.

==== python3-requests ====
Version update (2.6.2 -> 2.7.0)

- update to version 2.7.0:
* Updated urllib3 to 1.10.4, resolving several bugs involving
chunked transfer encoding and response framing.

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-extra qemu-ipxe qemu-ksm qemu-kvm
qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios qemu-tools qemu-vgabios
qemu-x86

- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
* Patches added:
0040-s390x-Add-interlocked-access-facili.patch
- Disable dependency on libnuma for s390x (not available in SLE12)

==== qemu-linux-user ====

- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix illegal instruction for s390x SLE12 guest binaries
* Patches added:
0040-s390x-Add-interlocked-access-facili.patch
- Add %check executing /usr/bin/ls via qemu-HOSTARCH
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.3
- Fix potential segmentation fault in
0037-linux-user-Allocate-thunk-size-dyna.patch

==== rsyslog ====

- Documentation does not depend on the presence of anything
- Adjusted apparmor profile based on the suggestions by Christian Boltz
* Removed empty files: module-pgsql, module-relp, module-gssapi, module-gtls
* Moved profiles to /usr/share/apparmor/extra-profiles/
* Blocked capability block_suspend
plus some other small fixes

==== sharutils ====
Version update (4.15 -> 4.15.1)
Subpackages: sharutils-lang

- update to sharutils 4.15.1
* gnulib updates to fix rare platform build issues

==== libsqlite3-0 ====
Version update (3.8.9 -> 3.8.10.1)
Subpackages: libsqlite3-0-32bit sqlite3 sqlite3-devel sqlite3-doc

- SQLite 3.8.10.1:
* Make sqlite3_compileoption_used() responsive to the
SQLITE_ENABLE_DBSTAT_VTAB compile-time option.
* Fix minor issues with the dbstat virtual table.
- Update to SQLite 3.8.10
* Added the y format string to the matchinfo() function of FTS3.
* Performance improvements for ORDER BY, VACUUM, CREATE INDEX,
PRAGMA integrity_check, and PRAGMA quick_check
* Fix many obscure problems discovered while SQL fuzzing.
* Add the ".binary" and ".limits" commands to the command-line shell
* Make the "dbstat" virtual table part of standard builds
when compiled with the SQLITE_ENABLE_DBSTAT_VTAB option.

==== step ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== sushi ====
Version update (3.15.90 -> 3.16.0)

- Update to version 3.16.0:
+ Updated translations.

==== sweeper ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== sysconfig ====
Subpackages: sysconfig-netconfig

- sysconfig-netconfig requires /bin/logger, otherwise the following
happens:
linux.site wickedd[31]:
/etc/sysconfig/network/scripts/functions.netconfig:
line 44: logger: command not found

==== klogd ====
Subpackages: syslog-service

- Reintroduce /etc/sysconfig/boot for having KLOGCONSOLE_PARAMS back

==== tcsh ====
Version update (6.18.04 -> 6.18.05)
Subpackages: tcsh-lang

- Update tcsh to patch level 6.18.05 - 20150510
* fix reseting when interrupted inside an eval "eval sleep 10^C"
(paulo.cesar.pereira.de.andrade)
* rename handle_intr -> handle_interrupt as originally intended.
fix input tests that need stdin on a tty

==== nautilus-totem ====
Version update (3.16.0 -> 3.16.1)
Subpackages: totem totem-plugin-zeitgeist totem-plugins

- Update to version 3.16.1:
+ Loads of performance fixes, related to thumbnailing when a
video is playing.
+ Fix (again) doubling files added on the command-line.
+ Don't monitor the tracker source, it adds incomplete items to
the view.
+ Fix Videos icon not showing in volume control.
+ Provide a symbolic variant of the app icon.
+ Fix frames not getting applied for new thumbnails.
+ Don't warn when video rotation is unset.

==== umbrello ====
Version update (14.12.3 -> 15.04.1)

- Update to KDE Applications 15.04.1
* KDE Applications 15.04.1
* https://www.kde.org/announcements/announce-applications-15.04.1.php
- Update to KDE Applications 15.04.0
* KDE Applications 15.04.0
* https://www.kde.org/announcements/announce-applications-15.04.0.php
- Update to KDE Applications 15.03.95
* KDE Applications 15.04 RC
- Update to KDE Applications 15.03.80
* KDE Applications 15.04 Beta

==== libblkid-devel ====
Version update (2.26.1 -> 2.26.2)
Subpackages: libblkid1 libblkid1-32bit libfdisk1 libmount1 libmount1-32bit
libsmartcols1 libuuid-devel libuuid1 libuuid1-32bit util-linux

- Update to util-linux-2.26.2:
* many fixes, most notable for logger, *fdisks and mount
* (lib)mount, add support for MS_LAZYTIME
- disable libmount/lock test to avoid random timeouts
- socat is needed for logger tests

==== util-linux-systemd ====
Version update (2.26.1 -> 2.26.2)

- Update to util-linux-2.26.2:
* many fixes, most notable for logger, *fdisks and mount
* (lib)mount, add support for MS_LAZYTIME
- disable libmount/lock test to avoid random timeouts
- socat is needed for logger tests

==== viewnior ====
Version update (1.4 -> 1.5)
Subpackages: viewnior-lang

- Update to 1.5.
* Disable Wallpaper support during compilation.
* Updated translations.
* Fixed preferences menu position.
* Nitrogen wallpaper support.
- Corrected the URL and the source URL.
- Drop viewnior-1.4-print.patch: no skill to maintain the patch, and
it wasn't good enough.
- Drop viewnior-1.4-russian.patch: fixed upstream.
- Replace BuildRequires: libtool -> gnome-common.
- Don't install obsolete ChangeLog (2009).
- No configure, then run autogen.sh.

==== virtualbox ====
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-kmp-desktop
virtualbox-guest-tools virtualbox-guest-x11 virtualbox-host-kmp-default
virtualbox-host-kmp-desktop virtualbox-qt

- Provide host-kmp src for use with custom kernels (bnc#925663)
- Create groups properly and also create vboxsf and vboxguest on
guest additions bnc#927708
- Build with system libs for X instead of localy built ones.
This should fix bnc#929697
- Adds patch:
* virtualbox-system-x.patch
- Split kmk call to multiple lines
- Reorder alignment of buildroot for various install commands so it
does not look so fuzzy

==== wireshark ====
Version update (1.12.4 -> 1.12.5)
Subpackages: wireshark-ui-gtk

- Wireshark 1.12.5 [boo#930689]
- The following vulnerabilities have been fixed:
* The LBMR dissector could go into an infinite loop.
CVE-2015-3808 CVE-2015-3809 wnpa-sec-2015-12
* The WebSocket dissector could recurse excessively.
CVE-2015-3810 wnpa-sec-2015-13
* The WCP dissector could crash while decompressing data.
CVE-2015-3811 wnpa-sec-2015-14
* The X11 dissector could leak memory.
CVE-2015-3812 wnpa-sec-2015-15
* The packet reassembly code could leak memory.
CVE-2015-3813 wnpa-sec-2015-16
* The IEEE 802.11 dissector could go into an infinite loop.
CVE-2015-3814 wnpa-sec-2015-17
* The Android Logcat file parser could crash.
CVE-2015-3815 wnpa-sec-2015-18
- Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-1.12.5.html

==== wpa_supplicant ====
Subpackages: wpa_supplicant-gui

- added patch for bnc#930077
0001-AP-WMM-Fix-integer-underflow-in-WMM-Action-frame-par.patch
- added patch for bnc#930078
0001-WPS-Fix-HTTP-chunked-transfer-encoding-parser.patch
- added patches for bnc#930079
0001-EAP-pwd-peer-Fix-payload-length-validation-for-Commi.patch
0002-EAP-pwd-server-Fix-payload-length-validation-for-Com.patch
0003-EAP-pwd-peer-Fix-Total-Length-parsing-for-fragment-r.patch
0004-EAP-pwd-server-Fix-Total-Length-parsing-for-fragment.patch
0005-EAP-pwd-peer-Fix-asymmetric-fragmentation-behavior.patch

==== libxapian22 ====

- Add 0001-backends-chert-chert_cursor.cc-backends-chert-chert_.patch
from upstream (kde#341990, http://trac.xapian.org/ticket/675)

==== xf86-video-cirrus ====
Version update (1.5.2 -> 1.5.3)

- xf86-video-cirrus 1.5.3
* configure: Drop AM_MAINTAINER_MODE
* Skip building xaa files when XAA is not supported
* autogen.sh: Implement GNOME Build API
* cirrus: don't use pciTag
- deprecates U_cirrus-don-t-use-pciTag.patch

==== xf86-video-neomagic ====
Version update (1.2.8 -> 1.2.9)

- Update to version 1.2.9
* Use own thunk functions instead of vgaHW*Weak
* neomagic: fix build against master X server.
* Fix compiler warning with recent X servers
- deprecates U_neomagic-fix-build-against-master-X-server.patch

==== xf86-video-savage ====
Version update (2.3.7 -> 2.3.8)

- Update to version 2.3.8
* Use own thunk function instead of vgaHW*Weak
* dri: Stop (uselessly) initializing the ValidateTree hooks
* Include xf86Modes.h to use functions from hw/xfree86/modes/xf86Modes.c.
* Fix compiler warnings with recent X servers
- deprecates U_dri-Stop-uselessly-initializing-the-ValidateTree-hoo.patch

==== xf86-video-siliconmotion ====
Version update (1.7.7 -> 1.7.8)

- Update to version 1.7.8:
+ Remove miInitializeBackingStore().
+ Use own thunk function instead of vgaHW*Weak.
+ Fix build against xserver 1.17.
+ Fix a typo.
+ Remove dependency on xf86PciInfo.h.
+ Fix shadow compiler warning.
+ Fix BlockHandler declaration.
+ Fix SwitchMode and AdjustFrame hooks.
+ Fix a couple const-ness warnings.
- Drop U_Fix-build-against-xserver-1.17.patch and
U_Remove-miInitializeBackingStore.patch: fixed upstream.

==== xfce4-settings ====
Subpackages: xfce4-settings-lang

- Only BuildRequire libinput for 13.3 and newer, it's optional, and
the version in 13.2 is too old anyway.

==== xinit ====

- fix bashism in startx script
- update patches:
* xinit-suse.patch

==== yakuake ====
Subpackages: yakuake-lang

- Update project url
- Use url for source
- Use post/postun scriplets to update desktop database
- Cleanup spec file with spec-cleaner

==== yast2-auth-server ====
Version update (3.1.13 -> 3.1.14)

- Fix a typedef line in C header file in order to compile on GCC 5.

==== yast2-drbd ====
Version update (3.1.11 -> 3.1.12)

- Feature implementation for SLE12SP1
- Fate#317957, Fate#318555, Fate#318391
- Version 3.1.12

==== yast2-ntp-client ====
Version update (3.1.13 -> 3.1.14)

- AutoYaST (bnc#928987):
- - Read ntp.conf again before generating autoinst.xml file
(after the ntp rpm has been installed)
- - New section "restricts"
- 3.1.14

==== yast2-packager ====
Version update (3.1.67 -> 3.1.68)

- Packages module uses tags instead of package names (bnc#923901)
- 3.1.68
- Ensure libyui-qt is installed when using autoyast in graphical
mode (bnc#923901)

==== zsh ====

- Fix openSUSE versions in osc completion
* zsh-osc-completion.patch
- Add gcc5-fix.patch to fix signames.c generation with gcc5

==== zypper ====
Subpackages: zypper-aptitude zypper-log

- Update zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- Update zypper-po.tar.bz2




Removed packages:
libOpenColorIO1
libOpenImageIO1_5
libanalitza0
appmenu-qt
baloo-file
banshee
> banshee-backend-engine-gstreamer
> banshee-backend-io-gio
> banshee-backend-platform-gnome
> banshee-backend-platform-unix
> banshee-core
> banshee-dmp
> banshee-dmp-apple-devices
> banshee-dmp-mtp
> banshee-extensions-default
libdns146
> libisc142
blender
bluedevil
> bluedevil-lang
calibre
calligra-krita
create-resources
dbus-sharp
dbus-sharp-glib
digikam-doc
fcitx
> fcitx-branding-openSUSE
> fcitx-gtk2
> fcitx-gtk3
> fcitx-pinyin
> fcitx-qt4
> fcitx-table
> libfcitx-4_2_8
fcitx-chewing
fcitx-cloudpinyin
fcitx-config-gtk3
fcitx-googlepinyin
fcitx-libpinyin
fcitx-sunpinyin
fcitx-table-cn-wubi-large
> fcitx-table-tw-boshiamy
> fcitx-table-tw-cangjie-large
> fcitx-table-tw-cangjie5
> fcitx-table-tw-smart-cangjie6
fcitx-zhuyin
gdata-sharp
gio-sharp
gkeyfile-sharp
wnck-sharp
gnome-do
> gnome-do-lang
gnome-do-plugins
> gnome-do-plugins-lang
gnome-keyring-sharp
gconf-sharp2
> gnome-vfs-sharp2
gstreamer-0_10-devel
> gstreamer-0_10-utils
> typelib-1_0-Gst-0_10
gstreamer-0_10-plugins-base-devel
> typelib-1_0-GstApp-0_10
> typelib-1_0-GstInterfaces-0_10
gtk-sharp-beans
glade-sharp2
> glib-sharp2
> gtk-sharp2
gudev-sharp
kactivities4
kaffeine
kate-devel
> kate-python-plugins
> libktexteditor
fcitx-config-kde4
kdm-branding-openSUSE
kde-gtk-config
kde-mplayer-thumbnailer
kde4-l10n-cs
> kde4-l10n-da
> kde4-l10n-de
> kde4-l10n-de-data
> kde4-l10n-el
> kde4-l10n-en_GB
> kde4-l10n-en_GB-data
> kde4-l10n-en_GB-doc
> kde4-l10n-es
> kde4-l10n-es-data
> kde4-l10n-fr
> kde4-l10n-fr-data
> kde4-l10n-hu
> kde4-l10n-it
> kde4-l10n-it-data
> kde4-l10n-ja
> kde4-l10n-pl
> kde4-l10n-pl-data
> kde4-l10n-pt
> kde4-l10n-pt_BR
> kde4-l10n-pt_BR-data
> kde4-l10n-ru
> kde4-l10n-ru-data
> kde4-l10n-zh_CN
> kde4-l10n-zh_TW
kde4-print-manager
plasmoid-folderview
kdebase4-openSUSE
> kdebase4-workspace-branding-openSUSE
kdebase4-session
kde4-kgreeter-plugins
> kdebase4-workspace
> kdebase4-workspace-addons
> kdebase4-workspace-devel
> kdebase4-workspace-ksysguardd
> kdebase4-workspace-liboxygenstyle
> kdebase4-workspace-plasma-calendar
> kdm
> kwin
libsmokekde-devel
> libsmokekde3
libksuseinstall-devel
kdesdk-strigi-analyzers
kdevelop4
> kdevelop4-devel
> kdevelop4-lang
> kdevelop4-plugin-cppsupport
kdevelop4-plugins-php
kepas
libkhangmanengine4
kiosktool-doc
kscreen
ksshaskpass
kvkbd
libModemManagerQt0
libNetworkManagerQt1
libbluedevil-devel
> libbluedevil2
chewing-data
> chewing-utils
> libchewing3
kdegames4-carddecks-default
libkomparediff2-4
libqt5-qtwebengine
libsrtp1
lskat
libmarblewidget20
mono-addins
mono-kde4
libqyoto2
> mono-qt4
> mono-qt4-devel
mono-zeroconf
> mono-zeroconf-provider-avahi
fcitx-mozc
notify-sharp
libOpenCOLLADA0
patterns-openSUSE-kde4_admin
> patterns-openSUSE-kde4_basis
> patterns-openSUSE-kde4_edutainment
> patterns-openSUSE-kde4_games
> patterns-openSUSE-kde4_ide
> patterns-openSUSE-kde4_imaging
> patterns-openSUSE-kde4_internet
> patterns-openSUSE-kde4_laptop
> patterns-openSUSE-kde4_multimedia
> patterns-openSUSE-kde4_office
> patterns-openSUSE-kde4_utilities
> patterns-openSUSE-kde4_utilities_opt
> patterns-openSUSE-kde4_yast
> patterns-openSUSE-sw_management_kde4
pdfmod
> pdfmod-lang
perl-Pod-POM
plasma-addons
> plasma-addons-akonadi
> plasma-addons-kimpanel
> plasma-addons-lancelot
> plasma-addons-marble
plasma-nm
> plasma-nm-openvpn
> plasma-nm-pptp
> plasma-nm-vpnc
podofo
polkit-kde-agent-1
libpoppler-qt4-devel
libpresage1
> presage-data
python-Babel
python-ClientForm
python-Genshi
python-Jinja2
python-MarkupSafe
python-apsw
python-cssutils
python-docopt
python-jedi
python-mechanize
python-netifaces
python-odfpy
python-ply
python-pypdf
python-pyplete
python-pysmell
python-pytz
python-qt5
python-setuptools
python3-doc-pdf
qtcurve-kde4
libraptor-devel
> raptor
ruby-kde4
libruby2_1-2_1
> ruby2.1
> ruby2.1-stdlib
ruby2.1-rubygem-gem2rpm
seamonkey
> seamonkey-dom-inspector
> seamonkey-irc
> seamonkey-translations-common
smuxi-frontend
> smuxi-frontend-gnome
> smuxi-frontend-gnome-irc
> smuxi-frontend-gnome-irc-lang
> smuxi-frontend-gnome-lang
> smuxi-frontend-gnome-twitter
> smuxi-frontend-gnome-twitter-lang
> smuxi-frontend-gnome-xmpp
> smuxi-frontend-lang
socat
synaptiks
taglib-sharp
tasque
> tasque-lang
libtinyxml0


Added packages:
ModemManager-devel
> typelib-1_0-ModemManager-1_0
analitza
> libAnalitza5
attica-qt5-devel
> libKF5Attica5
baloo5-devel
> baloo5-file
> libKF5Baloo1
> libKF5BalooXapian1
libdns160
> libisc148
bluedevil5
> bluedevil5-lang
bluez-qt-devel
> bluez-qt-imports
> bluez-qt-udev
> libKF5BluezQt5
breeze
> breeze5-cursors
> breeze5-decoration
> breeze5-icons
> breeze5-style
> breeze5-wallpapers
breeze4-style
libcorosync4
digikam-lang
extra-cmake-modules
> extra-cmake-modules-doc
frameworkintegration-devel
> frameworkintegration-plugin
> libKF5Style5
gstreamer-0_10-plugins-bad-lang
gstreamer-0_10-plugins-good-lang
gstreamer-0_10-plugins-ugly-lang
java-1_9_0-openjdk
> java-1_9_0-openjdk-headless
kaccounts-integration
kactivities5
> kactivities5-devel
> kactivities5-imports
> libKF5Activities5
karchive-devel
> libKF5Archive5
kate-plugins
kate4-parts
> libkatepartinterfaces4
kauth-devel
> libKF5Auth5
kbookmarks-devel
> libKF5Bookmarks5
kcm_sddm
kcmutils-devel
> libKF5KCMUtils5
kcodecs-devel
> libKF5Codecs5
kcompletion-devel
> libKF5Completion5
kconf_update5
> kconfig-devel
> libKF5ConfigCore5
> libKF5ConfigGui5
kconfigwidgets-devel
> libKF5ConfigWidgets5
kcoreaddons
> kcoreaddons-devel
> libKF5CoreAddons5
kcrash-devel
> libKF5Crash5
kdbusaddons-devel
> kdbusaddons-tools
> libKF5DBusAddons5
kde-cli-tools5
kde-gtk-config5
kde-l10n-cs
> kde-l10n-da
> kde-l10n-da-data
> kde-l10n-da-doc
> kde-l10n-de
> kde-l10n-de-data
> kde-l10n-de-doc
> kde-l10n-el
> kde-l10n-en_GB
> kde-l10n-en_GB-data
> kde-l10n-en_GB-doc
> kde-l10n-es
> kde-l10n-es-data
> kde-l10n-es-doc
> kde-l10n-fr
> kde-l10n-fr-data
> kde-l10n-hu
> kde-l10n-it
> kde-l10n-it-data
> kde-l10n-it-doc
> kde-l10n-ja
> kde-l10n-pl
> kde-l10n-pl-data
> kde-l10n-pt
> kde-l10n-pt_BR
> kde-l10n-pt_BR-data
> kde-l10n-ru
> kde-l10n-ru-data
> kde-l10n-zh_CN
> kde-l10n-zh_TW
kde-oxygen-fonts
kde-print-manager
kdeclarative-components
> kdeclarative-devel
> libKF5Declarative5
> libKF5QuickAddons5
kded
> kded-devel
kdelibs4support
> kdelibs4support-devel
> libKF5KDELibs4Support5
kdesignerplugin
> kdesignerplugin-devel
> kdesignerplugin-lang
kdesu-devel
> libKF5Su5
kdewebkit-devel
> libKF5WebKit5
kdnssd-framework-devel
> libKF5DNSSD5
kdoctools
> kdoctools-devel
> kdoctools-lang
kemoticons-devel
> libKF5Emoticons5
kf5-filesystem
kfilemetadata5
> kfilemetadata5-devel
kglobalaccel-devel
> kglobalaccel5
> libKF5GlobalAccel5
kguiaddons-devel
> libKF5GuiAddons5
khotkeys5
> khotkeys5-devel
khtml-devel
> libKF5KHtml5
ki18n-devel
> libKF5I18n5
kiconthemes-devel
> libKF5IconThemes5
kidletime-devel
> libKF5IdleTime5
kimageformats
kinfocenter5
kinit
> kinit-devel
kio
> kio-core
> kio-devel
kio-extras5
kitemmodels-devel
> libKF5ItemModels5
kitemviews-devel
> libKF5ItemViews5
kjobwidgets-devel
> libKF5JobWidgets5
kjs-devel
> libKF5JS5
> libKF5JSApi5
kjsembed-devel
> libKF5JsEmbed5
kmediaplayer-devel
> libKF5MediaPlayer5
kmenuedit5
knewstuff-devel
> libKF5NewStuff5
knotifications-devel
> libKF5Notifications5
knotifyconfig-devel
> libKF5NotifyConfig5
konsole4-part
kpackage
> kpackage-devel
kparts-devel
> libKF5Parts5
kpeople5
> kpeople5-devel
kplotting-devel
> libKF5Plotting5
kpty-devel
> libKF5Pty5
kross
> kross-devel
krunner-devel
> libKF5Runner5
kscreen5
kservice
> kservice-devel
ksshaskpass5
ktexteditor
> ktexteditor-devel
ktextwidgets-devel
> libKF5TextWidgets5
ktp-accounts-kcm
> libktpaccountskcminternal9
ktp-approver
ktp-auth-handler
ktp-common-internals
> ktp-icons
ktp-contact-list
ktp-contact-runner
ktp-desktop-applets
ktp-filetransfer-handler
ktp-kded-module
ktp-send-file
ktp-text-ui
ktuberling
kunitconversion-devel
> libKF5UnitConversion5
kwallet-devel
> kwalletd5
> libKF5Wallet5
> libkwalletbackend5-5
kwayland-devel
> libKF5WaylandClient5
> libKF5WaylandServer5
kwidgetsaddons-devel
> libKF5WidgetsAddons5
kwin5
> kwin5-devel
kwindowsystem-devel
> libKF5WindowSystem5
kxmlgui-devel
> libKF5XmlGui5
kxmlrpcclient5-devel
> libKF5XmlRpcClient5
libKF5ModemManagerQt-devel
> libKF5ModemManagerQt6
libKF5NetworkManagerQt-devel
> libKF5NetworkManagerQt6
libaccounts-glib0
libaccounts-qt5-1
libbluedevil5
> libbluedevil5-devel
libdbusmenu-qt5-2
libdlm3
libkdecoration2-devel
> libkdecorations2-5
> libkdecorations2private5
kdegames-carddecks-default
> libkf5kdegames6
libkdegames4
libKEduVocDocument5
libkgeomap
libKF5KMahjongglib5
libkmahjongg4
libkomparediff2-5
libKF5Screen6
> libkscreen2-devel
> libkscreen2-plugin
libksysguard5
> libksysguard5-devel
libqb0
libqca-qt5
> libqca-qt5-plugins
libQt5Concurrent-devel
> libQt5Concurrent5
> libQt5Core-devel
> libQt5Core-private-headers-devel
> libQt5DBus-devel
> libQt5Gui-devel
> libQt5Gui-private-headers-devel
> libQt5Network-devel
> libQt5OpenGL-devel
> libQt5PlatformHeaders-devel
> libQt5PrintSupport-devel
> libQt5Sql-devel
> libQt5Sql5-mysql
> libQt5Sql5-postgresql
> libQt5Sql5-sqlite
> libQt5Test-devel
> libQt5Widgets-devel
> libQt5Xml-devel
> libqt5-qtbase-common-devel
> libqt5-qtbase-devel
> libqt5-qtbase-doc
libqt5-qtdeclarative-devel
> libqt5-qtdeclarative-tools
libqt5-qtgraphicaleffects
libqt5-qtimageformats-devel
libQt5Location5
> libqt5-qtlocation-devel
libqt5-qtmultimedia-devel
libQt5Declarative5
> libqt5-qtquick1-devel
libqt5-qtquickcontrols
libQt5Script5
> libqt5-qtscript-devel
libqt5-qtsensors-devel
libqt5-qtserialport-devel
libqt5-qtsvg-devel
libQt5DesignerComponents5
> libqt5-linguist
> libqt5-linguist-devel
> libqt5-qttools
> libqt5-qttools-devel
libQt5WebKit5-devel
> libQt5WebKitWidgets-devel
libqt5-qtwebsockets-devel
libqt5-qtx11extras-devel
libqt5-qtxmlpatterns-devel
libwebp-devel
> libwebpdecoder1
> libwebpdemux1
libmarblewidget21
milou5
libmonosgen-2_0-1
openal-soft-devel
oxygen5
> oxygen5-decoration
> oxygen5-devel
> oxygen5-lang
> oxygen5-sounds
> oxygen5-style
patterns-openSUSE-devel_kde_frameworks
> patterns-openSUSE-devel_qt5
> patterns-openSUSE-kde_edutainment
> patterns-openSUSE-kde_games
> patterns-openSUSE-kde_ide
> patterns-openSUSE-kde_imaging
> patterns-openSUSE-kde_internet
> patterns-openSUSE-kde_multimedia
> patterns-openSUSE-kde_office
> patterns-openSUSE-kde_plasma
> patterns-openSUSE-kde_telepathy
> patterns-openSUSE-kde_utilities
> patterns-openSUSE-kde_utilities_opt
> patterns-openSUSE-kde_yast
> patterns-openSUSE-sw_management_kde
perl-Devel-OverloadInfo
perl-Module-Runtime-Conflicts
perl-Sub-Identify
libphonon4qt5
> phonon4qt5-devel
phonon4qt5-backend-gstreamer
plasma-framework
> plasma-framework-components
> plasma-framework-devel
> plasma-framework-private
plasma-nm5
> plasma-nm5-openconnect
> plasma-nm5-openvpn
> plasma-nm5-pptp
> plasma-nm5-vpnc
plasma5-addons
> plasma5-addons-kimpanel
plasma5-desktop
plasma5-desktop-branding-openSUSE
> plasma5-workspace-branding-openSUSE
plasma5-session
drkonqi5
> plasma5-workspace
> plasma5-workspace-devel
> plasma5-workspace-libs
polkit-devel
polkit-kde-agent-5
libpolkit-qt5-1-1
> libpolkit-qt5-1-devel
libpoppler-qt5-1
> libpoppler-qt5-devel
powerdevil5
qtcurve-qt5
ruby2.2-rubygem-gem2rpm
sddm
> sddm-branding-openSUSE
libsignon-qt5-1
> signon-plugins
> signond
> signond-libs
signon-kwallet-extension
signon-plugin-oauth2
signon-ui
sni-qt
libKF5Solid5
> solid-devel
> solid-imports
> solid-tools
libKF5SonnetCore5
> libKF5SonnetUi5
> sonnet-devel
systemsettings5
> systemsettings5-devel
libtelepathy-logger-qt5
libtelepathy-qt5-0
libKF5ThreadWeaver5
> threadweaver-devel
libxapian-devel
libxcb-cursor0
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >